const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let sheetsRow = vars.custom_2;
    Mesa.log.info("sheets: " +  sheetsRow.Available + ", shopify: " + vars.shopify.available);

    let delta = vars.shopify.available - parseInt(sheetsRow.Available);

    Mesa.trigger.setTaskExternalData({
      "label": "Delta: " + delta
    })

    // We're done, call the next step!
    Mesa.output.next({"delta": delta});
  }
}
